from sqlalchemy import Column, Integer, ForeignKey

from helix.models.sql.shared_sql_base import Base


class InverterBrand(Base):
    __tablename__ = 'inverter_brands'
    id = Column(Integer, primary_key=True)
    site_id = Column(Integer, ForeignKey('sites.id'), primary_key=True)

    def to_json(self):
        return {
            'inverter_brand_id': self.id,
        }
